(function($) {

	$(window).on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction('frontend/element_ready/ignition-hotspots.default', function($scope) {

			$('.ignition-hotspot').each(function() {
				var tooltipActive = $(this).data('show-tooltip');

				if ( 'yes' !== tooltipActive ) {
					return;
				}

				$(this).tipso( {
					tooltipHover: true,
					speed : 200,
				});
			});

		});
	});
})( jQuery );